
var err = 0;

err = initInstall("mozCalc v0.4.0","/Martin Kutschker/mozCalc","0.4.0.20010528");
if (err)
  logComment("initInstall failed: " + err);
else
 logComment("init installation");

err = addFile("mozcalc", "mozcalc.jar", getFolder("Chrome"), "");
if (err)
  logComment("addFile failed: " + err);

err = registerChrome(CONTENT | DELAYED_CHROME,
               getFolder("Chrome", "mozcalc.jar"),
               "content/");
if (err)
  logComment("registerChrome (content) failed: " + err);

err = registerChrome(LOCALE | DELAYED_CHROME,
               getFolder("Chrome", "mozcalc.jar"),
               "locale/en-US/");
if (err)
  logComment("registerChrome (en-US) failed: " + err);

err = registerChrome(LOCALE | DELAYED_CHROME,
               getFolder("Chrome", "mozcalc.jar"),
               "locale/de-AT/");
if (err)
  logComment("registerChrome (de-AT) failed: " + err);

err = registerChrome(SKIN | DELAYED_CHROME,
               getFolder("Chrome", "mozcalc.jar"),
               "skin/modern/");
if (err)
  logComment("registerChrome (modern) failed: " + err);

err = registerChrome(SKIN | DELAYED_CHROME,
               getFolder("Chrome", "mozcalc.jar"),
               "skin/classic/");
if (err)
  logComment("registerChrome (classic) failed: " + err);

err = getLastError();

if (err == SUCCESS) {
  logComment("perform installation");
  err = performInstall();

  if (err == SUCCESS)
    alert("Restart the browser to finish the installation.");
}

if (err != SUCCESS) {
  logComment("cancel installation");
  cancelInstall(err);

  alert("The installation failed.");
}
